# heat

## orchestration build info

Retrieve build information.

    openstack orchestration build info

This command is provided by the python-heatclient plugin.

## orchestration resource type list

List resource types.

    openstack orchestration resource type list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--filter <key=value>]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <key=value>

  Filter parameters to apply on returned resource types. This can be specified multiple times. It can be any of name, version or support_status

--long

  Show resource types with corresponding description of each resource type.

This command is provided by the python-heatclient plugin.

## orchestration resource type show

Show details and optionally generate a template for a resource type.

    openstack orchestration resource type show
        [--template-type <template-type>]
        [--long]
        <resource-type>

--template-type <template-type>

  Optional template type to generate, hot or cfn

--long

  Show resource type with corresponding description.

resource-type

  Resource type to show details for

This command is provided by the python-heatclient plugin.

## orchestration service list

List the Heat engines.

    openstack orchestration service list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

This command is provided by the python-heatclient plugin.

## orchestration template function list

List the available functions.

    openstack orchestration template function list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--with_conditions]
        <template-version>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--with_conditions

  Show condition functions for template.

template-version

  Template version to get the functions for

This command is provided by the python-heatclient plugin.

## orchestration template validate

Validate a template

    openstack orchestration template validate
        [-e <environment>]
        [--show-nested]
        [--parameter <key=value>]
        [-s <files-container>]
        [--ignore-errors <error1,error2,...>]
        -t <template>

-e <environment>, --environment <environment>

  Path to the environment. Can be specified multiple times

--show-nested

  Resolve parameters from nested templates as well

--parameter <key=value>

  Parameter values used to create the stack. This can be specified multiple times

-s <files-container>, --files-container <files-container>

  Swift files container name. Local files other than root template would be ignored. If other files are not found in swift, heat engine would raise an error.

--ignore-errors <error1,error2,...>

  List of heat errors to ignore

-t <template>, --template <template>

  Path to the template

This command is provided by the python-heatclient plugin.

## orchestration template version list

List the available template versions.

    openstack orchestration template version list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

This command is provided by the python-heatclient plugin.

## software config create

Create software config

    openstack software config create
        [--config-file <config-file>]
        [--definition-file <destination-file>]
        [--group <group>]
        <config-name>

--config-file <config-file>

  Path to JSON/YAML containing map defining <inputs>, <outputs>, and <options>

--definition-file <destination-file>

  Path to software config script/data

--group <group>

  Group name of tool expected by the software config

config-name

  Name of the software config to create

This command is provided by the python-heatclient plugin.

## software config delete

Delete software configs

    openstack software config delete <config> [<config> ...]

config

  IDs of the software configs to delete

This command is provided by the python-heatclient plugin.

## software config list

List software configs

    openstack software config list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--limit <limit>]
        [--marker <id>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--limit <limit>

  Limit the number of configs returned

--marker <id>

  Return configs that appear after the given config ID

This command is provided by the python-heatclient plugin.

## software config show

Show software config details

    openstack software config show [--config-only] <config>

--config-only

  Only display the value of the <config> property.

config

  ID of the config

This command is provided by the python-heatclient plugin.

## software deployment create

Create a software deployment.

    openstack software deployment create
        [--input-value <key=value>]
        [--action <action>]
        [--config <config>]
        [--signal-transport <signal-transport>]
        [--container <container>]
        [--timeout <timeout>]
        --server <server>
        <deployment-name>

--input-value <key=value>

  Input value to set on the deployment. This can be specified multiple times.

--action <action>

  Name of an action for this deployment. This can be a custom action, or one of CREATE, UPDATE, DELETE, SUSPEND, RESUME. Default is UPDATE

--config <config>

  ID of the configuration to deploy

--signal-transport <signal-transport>

  How the server should signal to heat with the deployment output values. TEMP_URL_SIGNAL will create a Swift TempURL to be signaled via HTTP PUT. ZAQAR_SIGNAL will create a dedicated zaqar queue to be signaled using the provided keystone credentials.NO_SIGNAL will result in the resource going to the COMPLETE state without waiting for any signal

--container <container>

  Optional name of container to store TEMP_URL_SIGNAL objects in. If not specified a container will be created with a name derived from the DEPLOY_NAME

--timeout <timeout>

  Deployment timeout in minutes

--server <server>

  ID of the server being deployed to

deployment-name

  Name of the derived config associated with this deployment. This is used to apply a sort order to the list of configurations currently deployed to the server.

This command is provided by the python-heatclient plugin.

## software deployment delete

Delete software deployment(s) and correlative config(s).

    openstack software deployment delete <deployment> [<deployment> ...]

deployment

  ID of the deployment(s) to delete.

This command is provided by the python-heatclient plugin.

## software deployment list

List software deployments.

    openstack software deployment list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--server <server>]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--server <server>

  ID of the server to fetch deployments for

--long

  List more fields in output

This command is provided by the python-heatclient plugin.

## software deployment metadata show

Get deployment configuration metadata for the specified server.

    openstack software deployment metadata show <server>

server

  ID of the server to fetch deployments for

This command is provided by the python-heatclient plugin.

## software deployment output show

Show a specific deployment output.

    openstack software deployment output show
        [--all]
        [--long]
        <deployment>
        [<output-name>]

--all

  Display all deployment outputs

--long

  Show full deployment logs in output

deployment

  ID of deployment to show the output for

output-name

  Name of an output to display

This command is provided by the python-heatclient plugin.

## software deployment show

Show SoftwareDeployment Details.

    openstack software deployment show [--long] <deployment>

--long

  Show more fields in output

deployment

  ID of the deployment

This command is provided by the python-heatclient plugin.

## stack abandon

Abandon stack and output results.

    openstack stack abandon [--output-file <output-file>] <stack>

--output-file <output-file>

  File to output abandon results

stack

  Name or ID of stack to abandon

This command is provided by the python-heatclient plugin.

## stack adopt

Adopt a stack.

    openstack stack adopt
        [-e <environment>]
        [--timeout <timeout>]
        [--enable-rollback]
        [--parameter <key=value>]
        [--wait]
        --adopt-file <adopt-file>
        <stack-name>

-e <environment>, --environment <environment>

  Path to the environment. Can be specified multiple times

--timeout <timeout>

  Stack creation timeout in minutes

--enable-rollback

  Enable rollback on create/update failure

--parameter <key=value>

  Parameter values used to create the stack. Can be specified multiple times

--wait

  Wait until stack adopt completes

--adopt-file <adopt-file>

  Path to adopt stack data file

stack-name

  Name of the stack to adopt

This command is provided by the python-heatclient plugin.

## stack cancel

Cancel current task for a stack.

Supported tasks for cancellation:

- update

- create

    openstack stack cancel
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--wait]
        [--no-rollback]
        <stack>
        [<stack> ...]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--wait

  Wait for cancel to complete

--no-rollback

  Cancel without rollback

stack

  Stack(s) to cancel (name or ID)

This command is provided by the python-heatclient plugin.

## stack check

Check a stack.

    openstack stack check
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--wait]
        <stack>
        [<stack> ...]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--wait

  Wait for check to complete

stack

  Stack(s) to check update (name or ID)

This command is provided by the python-heatclient plugin.

## stack create

Create a stack.

    openstack stack create
        [-e <environment>]
        [-s <files-container>]
        [--timeout <timeout>]
        [--pre-create <resource>]
        [--enable-rollback]
        [--parameter <key=value>]
        [--parameter-file <key=file>]
        [--wait]
        [--poll SECONDS]
        [--tags <tag1,tag2...>]
        [--dry-run]
        -t <template>
        <stack-name>

-e <environment>, --environment <environment>

  Path to the environment. Can be specified multiple times

-s <files-container>, --files-container <files-container>

  Swift files container name. Local files other than root template would be ignored. If other files are not found in swift, heat engine would raise an error.

--timeout <timeout>

  Stack creating timeout in minutes

--pre-create <resource>

  Name of a resource to set a pre-create hook to. Resources in nested stacks can be set using slash as a separator: `nested_stack/another/my_resource`. You can use wildcards to match multiple stacks or resources: `nested_stack/an*/*_resource`. This can be specified multiple times

--enable-rollback

  Enable rollback on create/update failure

--parameter <key=value>

  Parameter values used to create the stack. This can be specified multiple times

--parameter-file <key=file>

  Parameter values from file used to create the stack. This can be specified multiple times. Parameter values would be the content of the file

--wait

  Wait until stack goes to CREATE_COMPLETE or CREATE_FAILED

--poll SECONDS

  Poll interval in seconds for use with –wait, defaults to 5.

--tags <tag1,tag2...>

  A list of tags to associate with the stack

--dry-run

  Do not actually perform the stack create, but show what would be created

-t <template>, --template <template>

  Path to the template

stack-name

  Name of the stack to create

This command is provided by the python-heatclient plugin.

## stack delete

Delete stack(s).

    openstack stack delete [-y] [--wait] <stack> [<stack> ...]

-y, --yes

  Skip yes/no prompt (assume yes)

--wait

  Wait for stack delete to complete

stack

  Stack(s) to delete (name or ID)

This command is provided by the python-heatclient plugin.

## stack environment show

Show a stack’s environment.

    openstack stack environment show <NAME or ID>

NAME or ID

  Name or ID of stack to query

This command is provided by the python-heatclient plugin.

## stack event list

List events.

    openstack stack event list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--resource <resource>]
        [--filter <key=value>]
        [--limit <limit>]
        [--marker <id>]
        [--nested-depth <depth>]
        [--sort <key>[:<direction>]]
        [--follow]
        <stack>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--resource <resource>

  Name of resource to show events for. Note: this cannot be specified with –nested-depth

--filter <key=value>

  Filter parameters to apply on returned events

--limit <limit>

  Limit the number of events returned

--marker <id>

  Only return events that appear after the given ID

--nested-depth <depth>

  Depth of nested stacks from which to display events. Note: this cannot be specified with –resource

--sort <key>[:<direction>]

  Sort output by selected keys and directions (asc or desc) (default: asc). Specify multiple times to sort on multiple keys. Sort key can be: “event_time” (default), “resource_name”, “links”, “logical_resource_id”, “resource_status”, “resource_status_reason”, “physical_resource_id”, or “id”. You can leave the key empty and specify “:desc” for sorting by reverse time.

--follow

  Print events until process is halted

stack

  Name or ID of stack to show events for

This command is provided by the python-heatclient plugin.

## stack event show

Show event details.

    openstack stack event show <stack> <resource> <event>

stack

  Name or ID of stack to show events for

resource

  Name of the resource event belongs to

event

  ID of event to display details for

This command is provided by the python-heatclient plugin.

## stack export

Export stack data json.

    openstack stack export [--output-file <output-file>] <stack>

--output-file <output-file>

  File to output export data

stack

  Name or ID of stack to export

This command is provided by the python-heatclient plugin.

## stack failures list

Show information about failed stack resources.

    openstack stack failures list [--long] <stack>

--long

  Show full deployment logs in output

stack

  Stack to display (name or ID)

This command is provided by the python-heatclient plugin.

## stack file list

Show a stack’s files map.

    openstack stack file list <NAME or ID>

NAME or ID

  Name or ID of stack to query

This command is provided by the python-heatclient plugin.

## stack hook clear

Clear resource hooks on a given stack.

    openstack stack hook clear
        [--pre-create]
        [--pre-update]
        [--pre-delete]
        <stack>
        <resource>
        [<resource> ...]

--pre-create

  Clear the pre-create hooks

--pre-update

  Clear the pre-update hooks

--pre-delete

  Clear the pre-delete hooks

stack

  Stack to display (name or ID)

resource

  Resource names with hooks to clear. Resources in nested stacks can be set using slash as a separator: `nested_stack/another/my_resource`. You can use wildcards to match multiple stacks or resources: `nested_stack/an*/*_resource`

This command is provided by the python-heatclient plugin.

## stack hook poll

List resources with pending hook for a stack.

    openstack stack hook poll
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--nested-depth <nested-depth>]
        <stack>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--nested-depth <nested-depth>

  Depth of nested stacks from which to display hooks

stack

  Stack to display (name or ID)

This command is provided by the python-heatclient plugin.

## stack list

List stacks.

    openstack stack list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--deleted]
        [--nested]
        [--hidden]
        [--property <key=value>]
        [--project <project>]
        [--project-domain <project-domain>]
        [--tags <tag1,tag2...>]
        [--tag-mode <mode>]
        [--limit <limit>]
        [--marker <id>]
        [--sort <key>[:<direction>]]
        [--all-projects]
        [--short]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--deleted

  Include soft-deleted stacks in the stack listing

--nested

  Include nested stacks in the stack listing

--hidden

  Include hidden stacks in the stack listing

--property <key=value>

  Filter properties to apply on returned stacks (repeat to filter on multiple properties)

--project <project>

  Filter stacks by project (name or ID) (admin only)

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

--tags <tag1,tag2...>

  List of tags to filter by. Can be combined with –tag-mode to specify how to filter tags

--tag-mode <mode>

  Method of filtering tags. Must be one of “any”, “not”, or “not-any”. If not specified, multiple tags will be combined with the boolean AND expression

--limit <limit>

  The number of stacks returned

--marker <id>

  Only return stacks that appear after the given ID

--sort <key>[:<direction>]

  Sort output by selected keys and directions (asc or desc) (default: asc). Specify multiple times to sort on multiple properties

--all-projects

  Include all projects (admin only)

--short

  List fewer fields in output

--long

  List additional fields in output, this is implied by –all-projects

This command is provided by the python-heatclient plugin.

## stack output list

List stack outputs.

    openstack stack output list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        <stack>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

stack

  Name or ID of stack to query

This command is provided by the python-heatclient plugin.

## stack output show

Show stack output.

    openstack stack output show [--all] <stack> [<output>]

--all

  Display all stack outputs

stack

  Name or ID of stack to query

output

  Name of an output to display

This command is provided by the python-heatclient plugin.

## stack resource list

List stack resources.

    openstack stack resource list
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]
        [-n <nested-depth>]
        [--filter <key=value>]
        <stack>

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  Enable detailed information presented for each resource in resource list

-n <nested-depth>, --nested-depth <nested-depth>

  Depth of nested stacks from which to display resources

--filter <key=value>

  Filter parameters to apply on returned resources based on their name, status, type, action, id and physical_resource_id

stack

  Name or ID of stack to query

This command is provided by the python-heatclient plugin.

## stack resource mark unhealthy

Set resource’s health.

    openstack stack resource mark unhealthy
        [--reset]
        <stack>
        <resource>
        [reason]

--reset

  Set the resource as healthy

stack

  Name or ID of stack the resource belongs to

resource

  Name of the resource

reason

  Reason for state change

This command is provided by the python-heatclient plugin.

## stack resource metadata

Show resource metadata

    openstack stack resource metadata <stack> <resource>

stack

  Stack to display (name or ID)

resource

  Name of the resource to show the metadata for

This command is provided by the python-heatclient plugin.

## stack resource show

Display stack resource.

    openstack stack resource show
        [--with-attr <attribute>]
        <stack>
        <resource>

--with-attr <attribute>

  Attribute to show, can be specified multiple times

stack

  Name or ID of stack to query

resource

  Name of resource

This command is provided by the python-heatclient plugin.

## stack resource signal

Signal a resource with optional data.

    openstack stack resource signal
        [--data <data>]
        [--data-file <data-file>]
        <stack>
        <resource>

--data <data>

  JSON Data to send to the signal handler

--data-file <data-file>

  File containing JSON data to send to the signal handler

stack

  Name or ID of stack the resource belongs to

resource

  Name of the resoure to signal

This command is provided by the python-heatclient plugin.

## stack resume

Resume a stack.

    openstack stack resume
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--wait]
        <stack>
        [<stack> ...]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--wait

  Wait for resume to complete

stack

  Stack(s) to resume (name or ID)

This command is provided by the python-heatclient plugin.

## stack show

Show stack details.

    openstack stack show [--no-resolve-outputs] <stack>

--no-resolve-outputs

  Do not resolve outputs of the stack.

stack

  Stack to display (name or ID)

This command is provided by the python-heatclient plugin.

## stack snapshot create

Create stack snapshot.

    openstack stack snapshot create [--name <name>] <stack>

--name <name>

  Name of snapshot

stack

  Name or ID of stack

This command is provided by the python-heatclient plugin.

## stack snapshot delete

Delete stack snapshot.

    openstack stack snapshot delete [-y] <stack> <snapshot>

-y, --yes

  Skip yes/no prompt (assume yes)

stack

  Name or ID of stack

snapshot

  ID of stack snapshot

This command is provided by the python-heatclient plugin.

## stack snapshot list

List stack snapshots.

    openstack stack snapshot list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        <stack>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

stack

  Name or ID of stack containing the snapshots

This command is provided by the python-heatclient plugin.

## stack snapshot restore

Restore stack snapshot

    openstack stack snapshot restore <stack> <snapshot>

stack

  Name or ID of stack containing the snapshot

snapshot

  ID of the snapshot to restore

This command is provided by the python-heatclient plugin.

## stack snapshot show

Show stack snapshot.

    openstack stack snapshot show <stack> <snapshot>

stack

  Name or ID of stack containing the snapshot

snapshot

  ID of the snapshot to show

This command is provided by the python-heatclient plugin.

## stack suspend

Suspend a stack.

    openstack stack suspend
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--wait]
        <stack>
        [<stack> ...]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--wait

  Wait for suspend to complete

stack

  Stack(s) to suspend (name or ID)

This command is provided by the python-heatclient plugin.

## stack template show

Display stack template.

    openstack stack template show <stack>

stack

  Name or ID of stack to query

This command is provided by the python-heatclient plugin.

## stack update

Update a stack.

    openstack stack update
        [-t <template>]
        [-s <files-container>]
        [-e <environment>]
        [--pre-update <resource>]
        [--timeout <timeout>]
        [--rollback <value>]
        [--dry-run]
        [--show-nested]
        [--parameter <key=value>]
        [--parameter-file <key=file>]
        [--existing]
        [--clear-parameter <parameter>]
        [--tags <tag1,tag2...>]
        [--wait]
        [--converge]
        <stack>

-t <template>, --template <template>

  Path to the template

-s <files-container>, --files-container <files-container>

  Swift files container name. Local files other than root template would be ignored. If other files are not found in swift, heat engine would raise an error.

-e <environment>, --environment <environment>

  Path to the environment. Can be specified multiple times

--pre-update <resource>

  Name of a resource to set a pre-update hook to. Resources in nested stacks can be set using slash as a separator: `nested_stack/another/my_resource`. You can use wildcards to match multiple stacks or resources: `nested_stack/an*/*_resource`. This can be specified multiple times

--timeout <timeout>

  Stack update timeout in minutes

--rollback <value>

  Set rollback on update failure. Value “enabled” sets rollback to enabled. Value “disabled” sets rollback to disabled. Value “keep” uses the value of existing stack to be updated.

--dry-run

  Do not actually perform the stack update, but show what would be changed

--show-nested

  Show nested stacks when performing –dry-run

--parameter <key=value>

  Parameter values used to create the stack. This can be specified multiple times

--parameter-file <key=file>

  Parameter values from file used to create the stack. This can be specified multiple times. Parameter value would be the content of the file

--existing

  Re-use the template, parameters and environment of the current stack. If the template argument is omitted then the existing template is used. If no –environment is specified then the existing environment is used. Parameters specified in –parameter will patch over the existing values in the current stack. Parameters omitted will keep the existing values

--clear-parameter <parameter>

  Remove the parameters from the set of parameters of current stack for the stack-update. The default value in the template will be used. This can be specified multiple times

--tags <tag1,tag2...>

  An updated list of tags to associate with the stack

--wait

  Wait until stack goes to UPDATE_COMPLETE or UPDATE_FAILED

--converge

  Stack update with observe on reality.

stack

  Name or ID of stack to update

This command is provided by the python-heatclient plugin.

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.